Subject: Re: MS compatible DLL's with cygwin32 (fwd)
From: [email-masked] (Fergus Henderson)

26 Sep 1997 04:55:39 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]

[email-masked] writes:

>Look at the mangled names in your dll.
>Look at the mangled names in the VC++ dll.
>
>Use Dlltool to create an import library
>
>def file
>EXPORTS
>MSmangledname=g++mangledname
>
>I don't know that this will work, but it is the only
>possibility I can see.
>
>We really need a tool that will translate VC++
>cplusplus names to g++ names, does anyone
>know how to do this?

That won't work.  See the gnu.g++.help FAQ list for an explanation
of why not.  (Short summary: there is no standard ABI for C++.
Class layouts, vtables, etc. will differ between different C++ compilers.)

--
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".